Subject: re: More ideas for faces

From: Dave Edmondson <[email-masked]>
Date: Wed, 01 May 91 09:39:50 +0000

> >>>>> On Mon, 29 Apr 91 17:12:32 -0700, Shannon D. Appel <[email-masked]> said:
> 
> SA> I. Remote Face Protocol
> 
> SA> Ability to grab a face from a remote machine, much like finger.  It would
> SA> be useful because your database would not have to constantly balloon. if
> SA> you have limited diskspace.  
> 
> We're working on it here at the AI Lab, albeit slowly, given other time
> constraints.  The main problem is the NEWS support; all other formats
> are easily supported by a server.
> 
i'd be interested in this.  as part of the ukuug facesaver project a
couple of us implemented a quite simple face server which would (given
a face tree similar to that held on uunet) made the faces available
over the net.  the interface follows along the lines of smtp/nntp,
with support at the moment for udp/tcp, x25 was always intended, but
never done.

arbitrary formats are supported, but we currently only use 64x64x1 and
96x96x1 xbm and usenix face format.  we have a couple of programs to
do things like xwho/xfinger using the server, and these are
sufficiently flexible that they could be used for other things as
well.  is there any interest in this ?  i imagine that the work at the
ai lab is altogether more comprehensive - this was a couple of days
work so that we could actually use all of the faces that we had.

dave.